%define module_version 0.005
%define module_name XML-LibXML-QuerySelector
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(HTML/Selector/XPath.pm) perl(Test/More.pm) perl(XML/LibXML.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.005
Release: alt1
Summary: add querySelector and querySelectorAll methods to XML::LibXML nodes
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/XML-LibXML-QuerySelector

Source0: http://cpan.org.ua/authors/id/T/TO/TOBYINK/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This module defines a class (it has no constructor so perhaps closer to an
abstract class or a role) XML::LibXML::QuerySelector, and sets itself up as
a superclass (not a subclass) of the XML::LibXML::Document manpage,
the XML::LibXML::DocumentFragment manpage and the XML::LibXML::Element manpage, thus making
its methods available to objects of those classes.

Yes, this is effectively monkey-patching, but it's performed in a
*relatively* safe manner.


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README COPYRIGHT LICENSE
%perl_vendor_privlib/X*

%changelog
* Mon Sep 22 2014 Igor Vlasenko <viy@altlinux.ru> 0.005-alt1
- regenerated from template by package builder

* Mon Jan 20 2014 Cronbuild Service <cronbuild@altlinux.org> 0.004-alt2
- rebuild to get rid of unmets

* Thu Sep 26 2013 Igor Vlasenko <viy@altlinux.ru> 0.004-alt1
- initial import by package builder

